> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mightynetworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or update an RSVP for an event



## OpenAPI

````yaml https://api.mn.co/admin/v1/spec.json post /admin/v1/networks/{network_id}/events/{event_id}/rsvps
openapi: 3.1.0
info:
  version: 1.0.0
  title: The Mighty Networks Admin API
  description: An API for managing your Mighty Networks network
servers:
  - url: https://api.mn.co
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Members
    description: Manage members of your network
  - name: Courseworks
    description: Manage course content (lessons, quizzes, sections)
  - name: Reactions
    description: Manage reactions on comments
  - name: Mute
    description: Mute posts for users
  - name: Comments
    description: Manage comments on posts
  - name: Invites
    description: Invites allow you to invite users to your network
  - name: Tags
    description: Manage tags for your network
  - name: Spaces
    description: >-
      Spaces are the organizational units within a Network where content and
      members are organized
  - name: Plans
    description: Manage plans in your network
  - name: PasswordResets
    description: Manage member password resets
  - name: Badges
    description: Manage badges for your network
  - name: Rsvps
    description: Manage event RSVPs for your network
  - name: Options
    description: Manage dropdown custom field options
  - name: Answers
    description: Manage member responses to custom fields
  - name: Subscriptions
    description: >-
      Manage payment subscriptions - recurring payments from members to hosts
      for plans
  - name: Purchases
    description: Manage purchases and subscriptions for your network
  - name: Posts
    description: Posts also include Articles.
  - name: Polls
    description: >-
      Polls and Questions allow members to share opinions and engage with each
      other
  - name: Networks
    description: >-
      Networks are the top-level organizational unit under which other resources
      are nested
  - name: Me
    description: Metadata about the requesting user
  - name: Events
    description: Events are scheduled gatherings that members can RSVP to and engage with
  - name: CustomFields
    description: Manage custom fields for your network
  - name: Collections
    description: Manage collections in your network
  - name: Assets
    description: Manage assets for your network
  - name: AbuseReports
    description: Manage abuse reports for your network
paths:
  /admin/v1/networks/{network_id}/events/{event_id}/rsvps:
    post:
      tags:
        - Rsvps
      summary: Create or update an RSVP for an event
      operationId: create_rsvps
      parameters:
        - name: event_id
          in: path
          required: true
          description: ID of the event
          schema:
            type: integer
            format: uint64
        - $ref: '#/components/parameters/networkId'
      requestBody:
        description: Submit results as JSON
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RsvpRequest'
      responses:
        '200':
          description: The created or updated RSVP object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RsvpResponse'
        '403':
          description: Member is not in this network
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Event or member not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Invalid RSVP status or instance
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    networkId:
      name: network_id
      in: path
      description: The Network's unique integer ID, or subdomain
      required: true
      schema:
        oneOf:
          - type: integer
            description: Unique numeric network ID
            format: uint64
          - type: string
            description: Network subdomain
            format: /^[a-z][a-z0-9-]+$/
  schemas:
    RsvpRequest:
      description: Request to create or update an RSVP
      type: object
      required:
        - member_id
        - status
      properties:
        member_id:
          type: integer
          format: uint64
          description: The ID of the member to RSVP on behalf of
          example: 123
        status:
          type: string
          description: 'The RSVP status. Must be one of: yes, maybe, no'
          example: 'yes'
        instance_at:
          type: string
          format: date-time
          description: The specific event instance for recurring events (ISO8601 format)
          example: '2025-03-15T14:00:00Z'
    RsvpResponse:
      description: An RSVP for an event
      type: object
      required:
        - event
        - id
        - member
        - status
        - updated
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        updated:
          type: string
          format: date-time
          description: The last updated timestamp
          example: '2026-06-26T21:14:13+00:00'
        status:
          type: string
          description: 'The RSVP status: yes, maybe, or no'
        event:
          $ref: '#/components/schemas/EventCreatePayload'
          description: The event being RSVPed to
        member:
          $ref: '#/components/schemas/MemberResponse'
          description: The member who set the RSVP
        event_instance:
          $ref: '#/components/schemas/EventInstanceResponse'
          description: The specific event instance for recurring events
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: An error message explaining the problem encountered
    EventCreatePayload:
      description: Payload sent when an event is created
      type: object
      required:
        - created_at
        - creator
        - creator_id
        - event_type
        - id
        - permalink
        - post_in_feed
        - post_type
        - restricted_event
        - rsvp_closed
        - rsvp_enabled
        - space
        - space_id
        - starts_at
        - summary
        - time_zone
        - title
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:12+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:12+00:00'
        post_type:
          type: string
          description: The type of post (always 'event' for this hook)
        space_id:
          type: integer
          format: uint64
          description: The ID of the space where the event was created
        creator_id:
          type: integer
          format: uint64
          description: The ID of the user who created the event
        title:
          type: string
          description: The title of the event
        summary:
          type: string
          description: The description/summary of the event
        event_type:
          type: string
          description: >-
            The type of event. Possible values: local, live_chat,
            online_meeting, zoom_meeting, zoom_webinar, webinar, local_meetup
        starts_at:
          type: string
          description: Event start time in ISO 8601 format
        ends_at:
          type: string
          description: Event end time in ISO 8601 format
        time_zone:
          type: string
          description: The time zone of the event
        location:
          type: string
          description: The location of the event
        frequency:
          type: string
          description: 'Recurrence frequency: ''daily'', ''weekly'', ''monthly'', or ''yearly'''
        interval:
          type: integer
          format: uint64
          description: Recurrence interval (e.g., 1 for every week, 2 for every 2 weeks)
        rsvp_enabled:
          type: boolean
          description: Whether RSVPs are enabled for this event
        rsvp_closed:
          type: boolean
          description: Whether RSVPs are closed/locked
        restricted_event:
          type: boolean
          description: Whether the event is restricted
        post_in_feed:
          type: boolean
          description: Whether the event is visible in the feed
        creator:
          $ref: '#/components/schemas/MemberResponse'
          description: The member who created the event
        space:
          $ref: '#/components/schemas/SpaceResponse'
          description: The space where the event was created
        images:
          type: array
          description: Array of image URLs
          items:
            type: string
        permalink:
          type: string
          description: Canonical URL to the event
    MemberResponse:
      description: A member of a network
      type: object
      required:
        - created_at
        - email
        - id
        - permalink
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:11+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:11+00:00'
        email:
          type: string
          format: email
          description: The member's email address
          example: ada.lovelace@example.com
        first_name:
          type: string
          description: The member's first name
        last_name:
          type: string
          description: The member's last name
        time_zone:
          type: string
          description: The member's time zone
        location:
          type: string
          description: The member's location
        bio:
          type: string
          description: The member's bio
        referral_count:
          type: integer
          format: uint64
          description: Number of referrals made by this member
        avatar:
          type: string
          description: URL to the member's avatar image
        categories:
          type: string
          description: Array of category objects with id and title
        permalink:
          type: string
          description: Canonical URL to the member's profile page
        ambassador_level:
          type: string
          description: The member's ambassador level
    EventInstanceResponse:
      description: A specific instance of a recurring event
      type: object
      required:
        - ends_at
        - instance_index
        - post_id
        - starts_at
      properties:
        post_id:
          type: integer
          format: uint64
          description: The ID of the recurring event post
        starts_at:
          type: string
          format: date-time
          description: Start time of this specific instance
          example: '2026-06-26T21:14:13+00:00'
        ends_at:
          type: string
          format: date-time
          description: End time of this specific instance
          example: '2026-06-26T21:14:13+00:00'
        instance_index:
          type: integer
          format: uint64
          description: The index of this instance in the recurrence series
    SpaceResponse:
      type: object
      required:
        - created_at
        - id
        - name
        - updated_at
      properties:
        id:
          type: integer
          format: uint64
          description: The record's integer ID
          example: '1234'
        created_at:
          type: string
          format: date-time
          description: The date and time the record was created
          example: '2026-06-26T21:14:11+00:00'
        updated_at:
          type: string
          format: date-time
          description: The date and time the record was last modified
          example: '2026-06-26T21:14:11+00:00'
        name:
          type: string
          description: The Space's name
        collection_id:
          type: integer
          format: uint64
          description: The ID of the collection this space belongs to
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````